Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0( [ERROR] unable to build OM2M Server build in ubuntu 16.04 Ubuntu 32 bit succesfully )
Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1805308] Thu, 11 April 2019 13:12 Go to next message
Ilan t is currently offline Ilan tFriend
Messages: 6
Registered: April 2019
Junior Member
Hi I am Ilan,

We are trying to build OM2M software from latest master branch. We are following the document https://wiki.eclipse.org/OM2M/one/Clone as reference

OS : Ubuntu
OS version : 16.04
OS type : 32 bit

Dependencies:
installed Java :version 8
installed maven : 3.6.0
eclipse : Luna & Oxygen IDE
installed tyco0.8 via eclipse

Steps:
Installed Java , maven , Luna , Oxygen
Set JAVA_HOME , M2_HOME path variable
cloned : git clone https://git.eclipse.org/r/om2m/org.eclipse.om2m
imported the project as Existing maven project

$mvn -v
Maven home: /opt/maven
Java version: 1.8.0_201, vendor: Oracle Corporation, runtime: /usr/lib/jvm/java-8-oracle/jre
Default locale: en_IN, platform encoding: UTF-8
OS name: "linux", version: "3.13.0-32-generic", arch: "i386", family: "unix"

$java --version
java version "1.8.0_201"
Java(TM) SE Runtime Environment (build 1.8.0_201-b09)
Java HotSpot(TM) Server VM (build 25.201-b09, mixed mode)


When trying to Run as maven install the following error messages are seen I am not able to resolve it .


Below is the ERROR log snap shot , detailed error shall be in the attachement.
[INFO] Scanning for projects...
[ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0: error in opening zip file
[ERROR] Invalid extension descriptor for org.apache.maven.wagon:wagon-ssh:2.8: error in opening zip file
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unknown packaging: eclipse-plugin @ org.eclipse.om2m:org.eclipse.om2m.commons:[unknown-version], /home/mbit/git/org.eclipse.om2m/org.eclipse.om2m.commons/pom.xml, line 23, column 14
[ERROR] Unknown packaging: eclipse-plugin @ org.eclipse.om2m.commons.logging:org.eclipse.om2m.commons.logging:[unknown-version], /home/mbit/git/org.eclipse.om2m/org.eclipse.om2m.commons.logging/pom.xml, line 42, column 13
[ERROR] Unknown packaging: eclipse-repository @ org.eclipse.om2m:com.orange.om2m.p2.repo:[unknown-version], /home/mbit/git/org.eclipse.om2m/com.orange.om2m.p2.repo/pom.xml, line 25, column 13

Please provide a solution to this, to resolve. Did I miss something please suggest.

Regards
Ilan T

Re: Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1805310 is a reply to message #1805308] Thu, 11 April 2019 13:22 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3439
Registered: July 2009
Senior Member

Can you reattach what ever is in that .odt file as its own file? If it's text, use a text file.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1805338 is a reply to message #1805310] Fri, 12 April 2019 04:04 Go to previous messageGo to next message
Ilan t is currently offline Ilan tFriend
Messages: 6
Registered: April 2019
Junior Member
Hi Nithin,

Please find the attachment in text file. I even tried in widows machine to build the same. but the error is same.

thanks in advance.

Regards
Ilanchezhian T
  • Attachment: error.txt
    (Size: 30.55KB, Downloaded 16 times)
Re: Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1805354 is a reply to message #1805310] Fri, 12 April 2019 11:47 Go to previous messageGo to next message
Ilan t is currently offline Ilan tFriend
Messages: 6
Registered: April 2019
Junior Member
Hi Nitin,

I even tried changing the jdk version jdk8_151 build. Still the observations are same.

I am entirely new to java programming basically I am embedded programmer. Please excuse if my questions are so silly.

1. Why is that the POM files in all the packages wherever are showing an error in the line ? . My observation is it happens while importing the project as existing maven project in eclipse IDE .

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<artifactId>org.eclipse.om2m.binding.http</artifactId>
<packaging>eclipse-plugin</packaging>
<name>org.eclipse.om2m :: binding http</name>
<description>org.eclipse.om2m :: binding http</description>
<parent>

2. What does the eclipse-plugin and eclipse-repository attributes means here in OM2M build? ,

Reference : https://www.vogella.com/tutorials/EclipsePlugin/article.html .

3. why in the parent POM file these line is commented ? , Do this is a cause for this problem ?

<!-- <dependency-resolution> -->
<!-- <extraRequirements> -->
<!-- <requirement> -->
<!-- <type>eclipse-feature</type> -->
<!-- <id>org.eclipse.om2m.feature</id> -->
<!-- <versionRange>0.8.0</versionRange> -->
<!-- </requirement> -->
<!-- </extraRequirements> -->
<!-- </dependency-resolution> -->

4. Why is that these below mention lined as build error , Is there any relation with "eclipse-plugin" attribute ?

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<artifactId>org.eclipse.om2m</artifactId>
<groupId>org.eclipse.om2m</groupId>
<version>1.1.0-SNAPSHOT</version>
</parent>
<artifactId>com.orange.om2m.p2.repo</artifactId>
<packaging>eclipse-repository</packaging>
<name>org.eclipse.om2m :: Orange's p2 repo</name>
5. What does the below error means ? , Is there any setting in projects in Luna IDE missing ?

[ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0: error in opening zip file
[ERROR] Invalid extension descriptor for org.apache.maven.wagon:wagon-ssh:2.8: error in opening zip file

6. Is the build depends on some of the system parameters , if so please mention ?
Please give some information if there are prerequisites for the following items .

OS name: LINUX / WINDOWS
OS type : 32 bit / 64 bit
java version : Java 8 , Java9 , Java8 with specific build
maven version: V3.0.0 / V3.0.6/ V3.X.X
Eclipse IDE : Luna / Oxygen/ Helios/ Juno

7. I am attaching few of the screen shots and logs which may help to see what i am experimenting. If anything incorrect please advice.

8. One Last request build works for you is that possible to build and share it has offline package.

9. The main reason for me in trying to build this is that to get MQTT binding support from OM2M server . Currently in OM2M official download page OM2M-v1.3.0.zip offline package does not have MQTT binding enabled and build as per my understanding.

Thanks and Regards
Ilanchezhian Thingalkodi

Thanks

Re: Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1808315 is a reply to message #1805354] Fri, 21 June 2019 12:02 Go to previous messageGo to next message
Manju Nath is currently offline Manju NathFriend
Messages: 10
Registered: June 2019
Junior Member
Hi,

I am also having same problem.

Did you get any resolution for this?

Are you still working on OM2M?

There are so many who have faced problems in installation of OM2M, nobody seems to have been followed up with full guidance!!
Re: Build [ERROR] Invalid extension descriptor for org.eclipse.tycho:tycho-maven-plugin:0.20.0 [message #1808371 is a reply to message #1808315] Sat, 22 June 2019 09:21 Go to previous message
Manju Nath is currently offline Manju NathFriend
Messages: 10
Registered: June 2019
Junior Member
After lot of trials and verification, finally I am able to get the OM2M CLONED onto my windows-10 laptop.

The combination is ...

Git Bash
Apache Maven 3.6.0
Java version: 1.8.0_212, vendor: Oracle Corporation,
OS name: "windows 10", version: "10.0", arch: "amd64", family: "windows"
Previous Topic:make: *** [main.rel] Error 1
Next Topic:Eclipse 4.12 build.compiler NoClassDefFoundError
Goto Forum:
  


Current Time: Tue Jul 23 03:35:03 GMT 2019

Powered by FUDForum. Page generated in 0.03578 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top